Subject: [JAGNUTS] Website

From: "JAGNUTS" <[email-masked]>
Date: Sat, 16 Jun 2012 13:36:38 -0600

The website has had a very slight revamp and it is still a work in progress,
but I have photos from last weekend's Escapade in Edmonton up on the
website.

Also, Phil passed along the Brits by the Bus brochure, with a contact number
for The Bes (the official hotel).  Go to

http://nonprofits.accesscomm.ca/jagnuts/120722%20-%20BritsByTheBus.pdf

Bob